.user__wrapper {
  background-color: #ffffff;
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.05);
  border-radius: 15px;
  margin: 55px 0;
  padding: 25px 48px 55px;

  .user__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 25px;
    border-bottom: 1px solid #b0b0b0;

    h2 {
      font-weight: 600;
      font-size: 2.14rem;
      line-height: 58px;
      color: #3b3b3b;
      margin-bottom: 0;
    }

    .user__header-list {
      display: flex;
      align-items: center;

      .user__header-item {
        cursor: pointer;
        position: relative;

        &:not(:last-child) {
          padding-right: 50px;
        }

        .user__header-link {
          display: flex;
          align-items: center;

          img {
            object-fit: cover;
            margin-right: 15px;
          }

          p {
            font-weight: 400;
            font-size: 1.06rem;
            line-height: 20px;
            color: #3b3b3b;
          }
        }

        &.active {
          p {
            color: #0798d4;
          }

          &::after {
            content: "";
            position: absolute;
            width: 100%;
            border-bottom: 2px solid #0798d4;
            bottom: -12px;
            left: 0;
          }
        }

        &:hover {
          p {
            color: #0798d4;
          }
        }
      }
    }
  }

  .user__content {
    margin-top: 30px;
  }

  .user__products {
    h5 {
      padding-bottom: 20px;
      font-weight: 600;
      font-size: 1.32rem;
      line-height: 25px;
      color: #3b3b3b;
    }

    .user__products-wrapper {
      border-radius: 15px 15px 0px 0px;
      margin-bottom: 40px;

      .user-products__table {
        border-radius: 15px 15px 0px 0px;

        thead {
          background-color: #3b3b3b;
          tr {
            border-radius: 15px 15px 0px 0px;

            th {
              font-weight: 600;
              font-size: 0.8rem;
              line-height: 15px;
              color: #0798d4;
              text-transform: uppercase;
              // padding: 20px 3px;
              vertical-align: middle;
              border: none;

              &:first-child {
                padding: 20px 5px 20px 10px;
                border-top-left-radius: 15px;
              }

              &:last-child {
                padding: 20px 10px 20px 5px;
                border-top-right-radius: 15px;
              }
            }

            .fix-width-100 {
              width: 100px;
            }
          }
        }

        tbody {
          tr {
            td {
              font-weight: 400;
              font-size: 0.7rem;
              line-height: 12px;
              letter-spacing: -0.02em;
              color: #000000;
              padding: 15px 5px;
              vertical-align: middle;

              &:first-child {
                padding: 15px 0px 15px 10px;
              }

              &:last-child {
                padding: 10px 10px 10px 5px;
              }
            }
          }

          .red-color {
            color: #f05974;
          }

          .green-color {
            color: #5baa5f;
          }
        }

        tfoot {
          tr {
            td {
              font-weight: 600;
              font-size: 0.85rem;
              line-height: 15px;
              letter-spacing: -0.02em;
              color: #3b3b3b;
            }
          }
        }
      }
    }
  }

  .dropdown {
    button {
      border: none;
      background-color: transparent;
      color: #0798d4;
      padding: 2px 10px;
    }

    &.show {
      > .btn-primary {
        &.dropdown-toggle {
          color: #0798d4;
          background-color: transparent;
          border-color: transparent;
        }
      }
    }

    .dropdown-menu {
      border-radius: 8px;
      margin: 0;
      padding: 0;

      .user-products__table-dropdown-item {
        display: flex;
        align-items: center;
        padding-bottom: 12px;
        margin-top: 8px;

        &:not(:last-child) {
          border-bottom: 1px solid #dbdbdb;
        }

        img {
          margin-right: 20px;
          width: 25px;
          height: auto;
        }

        p {
          font-weight: 400;
          font-size: 1.032rem;
          line-height: 20px;
          color: #3b3b3b;
        }
      }
    }
  }

  .user__field {
    margin-top: 80px;

    .form-group {
      text-align: start;
      margin-bottom: 0;

      .user__field-wrapper {
        max-width: 60%;
        margin: 0 auto;

        .user-text-end {
          text-align: end;
        }

        .user-profile__text {
          font-weight: 400;
          font-size: 1.06rem;
          line-height: 20px;
          color: #3b3b3b;
          margin-bottom: 0;
          vertical-align: sub;
        }

        .user-profile__error {
          color: #f05974;
          text-align: start;
          margin-bottom: 10px;
          border-left: 5px solid #f05974;
          border-radius: 5px;
          padding-left: 10px;
        }

        .user-profile__info {
          display: flex;
          align-items: center;
          margin-bottom: 35px;

          .mobile {
            display: none;
          }

          input {
            width: 100%;
            border-radius: 6px;
            background-color: #f5f5f5;
          }

          .user-profile__info-change-save {
            border: none;
            background-color: transparent;
            color: #0798d4;
            font-size: 1.2rem;
          }

          .user-profile__info-custom {
            display: flex;
            align-items: center;

            .user-profile__info-icon {
              font-size: 1.1rem;
              padding: 3px 0 0 4px;
            }
          }
        }
      }

      .user-profile__info-btn {
        border: none;
        background-color: #0798d4;
        color: #fff;
        display: flex;
        align-items: center;
        border-radius: 31.5px;
        padding: 10px 45px;
        margin: 50px 0 0 auto;
      }

      .user-profile__info-icon {
        font-weight: 300;
        padding-top: 1px;
        color: #3b3b3b;
        cursor: pointer;
      }

      label {
        padding: 0;
        margin-bottom: 5px;
        font-weight: 300;
        font-size: 0.875rem;
        color: #3b3b3b;
      }
    }
  }
}

@media (max-width: 1690px) {
}

@media (max-width: 1200px) {
  .user__wrapper {
    .user__field {
      .form-group {
        .user__field-wrapper {
          max-width: 80%;
        }

        .user-profile__info-btn {
          margin: 35px 0 0 auto;
          padding: 8px 40px;
        }
      }
    }
  }
}

@media (max-width: 991.98px) {
  .user__wrapper {
    padding: 25px 35px 45px;

    .user__header {
      h2 {
        font-size: 1.5rem;
      }

      .user__header-list {
        .user__header-item {
          &:not(:last-child) {
            padding-right: 25px;
          }

          .user__header-link {
            img {
              max-width: 25px;
              min-height: 20px;
              margin-right: 10px;
            }

            p {
              font-size: 1rem;
            }
          }
        }
      }
    }

    .dropdown {
      .dropdown-menu {
        min-width: 80px;

        .user-products__table-dropdown-item {
          padding: 8px 10px;
          margin-top: 5px;

          img {
            width: 20px;
            margin-right: 15px;
          }

          p {
            font-size: 1rem;
          }
        }
      }
    }

    .user__field {
      margin-top: 60px;

      .form-group {
        .user__field-wrapper {
          max-width: 85%;

          .user-profile__text {
            font-size: 1rem;
          }

          .user-profile__info {
            .user-profile__info-change-save {
              font-size: 1rem;
            }

            .user-profile__info-custom {
              .user-profile__info-icon {
                font-size: 1rem;
              }
            }
          }
        }

        .user-profile__info-btn {
          margin: 25px 0 0 auto;
          padding: 6px 35px;
        }
      }
    }
  }
}

@media (max-width: 767.98px) {
  .user__wrapper {
    padding: 20px 25px 35px;

    .user__header {
      padding-bottom: 15px;

      h2 {
        font-size: 1.2rem;
      }

      .user__header-list {
        .user__header-item {
          &:not(:last-child) {
            padding-right: 15px;
          }

          .user__header-link {
            img {
              max-width: 20px;
              min-height: 15px;
              margin-right: 5px;
            }

            p {
              font-size: 0.8rem;
            }
          }
        }
      }
    }


    .dropdown {
      .dropdown-menu {
        min-width: 70px;
      }
    }

    .user__field {
      margin-top: 50px;

      .form-group {
        .user__field-wrapper {
          max-width: 95%;

          .user-profile__text {
            font-size: 0.9rem;
          }

          .user-profile__info {
            input {
              font-size: 0.9rem;
              height: calc(2rem + 2px);
            }

            .user-profile__info-change-save {
              font-size: 0.9rem;
              padding: 0 5px 0 0;
            }

            .user-profile__info-custom {
              .user-profile__info-icon {
                font-size: 1rem;
                padding: 1px 0 0 4px;
              }
            }
          }
        }

        .user-profile__info-btn {
          margin: 20px 0 0 auto;
          padding: 5px 30px;
        }
      }
    }
  }
}

@media (max-width: 574px) {
  .user__wrapper {
    padding: 20px 25px 30px;

    .user__header {
      padding-bottom: 10px;
    }

    .dropdown {
      .dropdown-toggle {
        padding: 0 5px;

        .svg-inline--fa {
          font-size: 0.9rem;
        }
      }

      .dropdown-menu {
        min-width: 60px;
      }
    }

    .user__field {
      margin-top: 35px;

      .form-group {
        .user__field-wrapper {
          max-width: 100%;
          position: relative;

          .user-text-end {
            text-align: start;
            margin: 0px 0 10px 10px;
          }

          .user-profile__text {
            font-size: 1rem;
          }

          .col-sm-10 {
            flex: 0 0 100%;
            max-width: 100%;
          }

          .user-profile__info {
            .pc {
              display: none;
            }

            .mobile {
              display: block;
            }

            .col-sm-11 {
              flex: 0 0 100%;
              max-width: 100%;
            }

            input {
              font-size: 1rem;
              height: calc(2.1rem + 2px);
            }

            .user-profile__info-change-save {
              font-size: 1rem;
              padding: 0 10px 0 0;

              &.edit {
                position: absolute;
                top: -30px;
                right: 10px;
              }
            }

            .user-profile__info-custom {
              position: absolute;
              top: -30px;
              right: 15px;

              .user-profile__info-icon {
                font-size: 1.1rem;
              }
            }
          }
        }
      }
    }
  }
}

@media (max-width: 500px) {
  .user__wrapper {
    padding: 35px 25px;

    .user__header {
      flex-wrap: wrap;
      border: none;
      padding-bottom: 0;

      h2 {
        font-size: 1.5rem;
        line-height: 45px;
        margin-bottom: 10px;
      }

      .user__header-list {
        .user__header-item {
          padding: 10px 10px 15px;
          border-bottom: 1px solid #b0b0b0;

          &:not(:last-child) {
            padding-right: 15px;
          }

          .user__header-link {
            img {
              max-width: 20px;
              min-height: 15px;
            }

            p {
              font-size: 0.9rem;
            }
          }

          &.active {
            border: 1px solid #b0b0b0;
            border-bottom: none;
            border-radius: 5px 5px 0 0;

            &::after {
              width: 0;
            }
          }
        }
      }
    }

    .dropdown {
      .dropdown-menu {
        min-width: 40px;

        .user-products__table-dropdown-item {
          padding: 6px;

          img {
            margin-right: 10px;
          }

          p {
            font-size: 0.7rem;
          }
        }
      }
    }

    .user__field {
      margin-top: 35px;

      .form-group {
        .user__field-wrapper {
          max-width: 100%;
          position: relative;

          .user-text-end {
            text-align: start;
            margin: 0px 0 10px 10px;
          }

          .user-profile__text {
            font-size: 1rem;
          }

          .user-profile__info {
            &.pc {
              display: none;
            }

            &.mobile {
              display: block;
            }

            input {
              font-size: 1rem;
              height: calc(2.1rem + 2px);
            }

            .user-profile__info-change-save {
              font-size: 1rem;
              padding: 0 10px 0 0;

              &.edit {
                position: absolute;
                top: -30px;
                right: 10px;
              }
            }

            .user-profile__info-custom {
              position: absolute;
              top: -30px;
              right: 15px;

              .user-profile__info-icon {
                font-size: 1.1rem;
              }
            }
          }
        }
      }
    }
  }
}

@media (max-width: 430px) {
  .user__wrapper {
    padding: 30px 20px;

    .user__header {
      h2 {
        line-height: 35px;
        font-size: 1.4rem;
      }

      .user__header-list {
        .user__header-item {
          padding: 8px 5px 10px 8px;

          &:not(:last-child) {
            padding-right: 8px;
          }

          .user__header-link {
            img {
              max-width: 14px;
              min-height: 0px;
              margin-right: 3px;
            }

            p {
              font-size: 0.7rem;
            }
          }
        }
      }
    }

    .dropdown {
      .dropdown-toggle {
        padding: 0;

        button {
          font-size: 0.5rem;
        }

        .svg-inline--fa {
          font-size: 0.5rem;
        }

        &::after {
          border-top: 0.2em solid;
          border-right: 0.2em solid transparent;
          border-bottom: 0;
          border-left: 0.2em solid transparent;
          vertical-align: 3px;
        }
      }

      .dropdown-menu {
        min-width: 20px;
      }
    }

    .user__content {
      margin-top: 25px;
    }

    .user__field {
      margin-top: 25px;

      .form-group {
        .user__field-wrapper {
          max-width: 100%;
          position: relative;

          .user-text-end {
            margin: 0 0 5px 10px;
          }

          .user-profile__text {
            font-size: 0.8rem;
          }

          .user-profile__info {
            margin-bottom: 25px;

            input {
              font-size: 0.9rem;
              height: calc(2rem + 2px);
            }

            .user-profile__info-change-save {
              font-size: 0.8rem;

              &.edit {
                top: -25px;
              }
            }

            .user-profile__info-custom {
              top: -25px;

              .user-profile__info-icon {
                font-size: 1rem;
              }
            }
          }
        }

        .user-profile__info-btn {
          padding: 5px 25px;

          p {
            font-size: 0.8rem;
          }
        }
      }
    }
  }
}
